org.icefaces.ace.component.drawerpanel

## Enum DrawerPanelBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DrawerPanelBase.PropertyKeys>
  - - org.icefaces.ace.component.drawerpanel.DrawerPanelBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DrawerPanelBase.PropertyKeys>
  Enclosing class:
    DrawerPanelBase

      protected static enum DrawerPanelBase.PropertyKeys
      extends java.lang.Enum<DrawerPanelBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `closeOnEscape`
    `closeOnOutsideClick`
    `container`
    `effect`
    `header`
    `height`
    `modal`
    `onClose`
    `onOpen`
    `position`
    `setFocus`
    `showHandleClose`
    `showHandleOpen`
    `showHeader`
    `style`
    `styleClass`
    `visible`
    `width`
    `zindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DrawerPanelBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DrawerPanelBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### closeOnEscape

          public static final DrawerPanelBase.PropertyKeys closeOnEscape

    - #### closeOnOutsideClick

          public static final DrawerPanelBase.PropertyKeys closeOnOutsideClick

    - #### container

          public static final DrawerPanelBase.PropertyKeys container

    - #### effect

          public static final DrawerPanelBase.PropertyKeys effect

    - #### header

          public static final DrawerPanelBase.PropertyKeys header

    - #### height

          public static final DrawerPanelBase.PropertyKeys height

    - #### modal

          public static final DrawerPanelBase.PropertyKeys modal

    - #### onClose

          public static final DrawerPanelBase.PropertyKeys onClose

    - #### onOpen

          public static final DrawerPanelBase.PropertyKeys onOpen

    - #### position

          public static final DrawerPanelBase.PropertyKeys position

    - #### setFocus

          public static final DrawerPanelBase.PropertyKeys setFocus

    - #### showHandleClose

          public static final DrawerPanelBase.PropertyKeys showHandleClose

    - #### showHandleOpen

          public static final DrawerPanelBase.PropertyKeys showHandleOpen

    - #### showHeader

          public static final DrawerPanelBase.PropertyKeys showHeader

    - #### style

          public static final DrawerPanelBase.PropertyKeys style

    - #### styleClass

          public static final DrawerPanelBase.PropertyKeys styleClass

    - #### visible

          public static final DrawerPanelBase.PropertyKeys visible

    - #### width

          public static final DrawerPanelBase.PropertyKeys width

    - #### zindex

          public static final DrawerPanelBase.PropertyKeys zindex

  - ### Method Detail

    - #### values

          public static DrawerPanelBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DrawerPanelBase.PropertyKeys c : DrawerPanelBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DrawerPanelBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DrawerPanelBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.